{% extends 'base.html' %}

{% block title %}
    ALQUILERES
{% endblock %}

{% block content %}
    <a href='{% url 'libro:crear_alquiler' %}'>
        <button class="btn btn-success" type="submit">Crear</button>
    </a>
    <p></p>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">ID</th>
            <th scope="col">Usuario</th>
            <th scope="col">Libro</th>
            <th scope="col">Fecha Devolución</th>
            <th scope="col">Fecha Alquiler</th>
            <th style="text-align:center;" scope="col" colspan="2">ACCIONES</th>
        </tr>
        </thead>
        <tbody>
            {% for alquiler in alquileres %}
                <tr>
                    <td>{{ alquiler.id }}</td>
                    <td>{{ alquiler.usuario_id }}</td>
                    <td>{{ alquiler.libro_id }}</td>
                    <td>{{ alquiler.fecha_devolucion }}</td>
                    <td>{{ alquiler.fecha_alquiler }}</td>
                    <td style="text-align:center;">
                        <a href="{% url 'libro:actualizar_alquiler' alquiler.id %}">
                            <button class="btn btn-primary" type="submit">Actualizar</button>
                        </a>
                    </td>
                    <td style="text-align:center;">
                        <a href="{% url 'libro:eliminar_alquiler' alquiler.id %}">
                            <button class="btn btn-danger" type="submit" >Eliminar</button>
                        </a>
                    </td>    
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}